.\"
.\" Copyright (c) 1994 Christian E. Hopps
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christian E. Hopps.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: zssc.4,v 1.10 2008/09/14 12:59:19 itohy Exp $
.\"
.Dd August 31, 1994
.Dt ZSSC 4 amiga
.Os
.Sh NAME
.Nm zssc
.Nd Zeus low level SCSI interface
.Sh SYNOPSIS
.Cd "zssc0 at zbus0"
.Sh DESCRIPTION
The
.Tn Amiga
architecture uses a common machine independent scsi sub-system
provided in the kernel source.  The machine independent
drivers that use this code access the hardware through a
common interface. (see
.Xr scsibus 4 )
This common interface interacts with a machine dependent interface,
such as
.Nm zssc ,
which then handles the hardware specific issues.
.Pp
The
.Nm
interface handles things such as DMA and interrupts as well as
actually sending commands, negotiating synchronous or asynchronous
transfers and handling disconnect/reconnect of SCSI targets.
The hardware that
.Nm
uses is based on the NCR53c710 SCSI chip.
.Sh DIAGNOSTICS
.Bl -diag
.It zssc%s: abort %s: dstat %02x, sstat0 %02x sbcl %02x
The scsi operation %s was aborted due to error.  Dstat, sstat and
sbcl are registers within the NCR53c710 SCSI chip.
.It siop id %d reset
The NCR53c710 SCSI chip has been reset and configure at id %d.
.It SIOP interrupt: %x sts %x msg %x sbcl %x
The NCR53c710 SCSI chip has interrupted unexpectedly.
.It SIOP: SCSI Gross Error
The NCR53c710 SCSI chip has indicated that it is confused.
.It SIOP: Parity Error
The NCR53c710 SCSI chip has indicated that it has detected a
parity error on the SCSI bus.
.El
.Sh SEE ALSO
.Xr scsibus 4
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.0
